/*! \file "dir.h" \brief Directory-Definitions */
///	\ingroup singlefat
//#########################################################################
//
// Benutzung auf eigene Gefahr !
//
// Use at your own risk !
//
//#########################################################################
// Last change: 23.02.2007
//#########################################################################
// Compiler: WinARM 4.1.1
//#########################################################################
//@{

#ifndef __DIR_H
#define __DIR_H

extern U8 Mkdir(char *name);
extern U8 Chdir(char *name);
extern U8 MakeNewFileEntry(void);
extern U8 UpdateFileEntry(void);
extern U8 ScanRootDir(char *name);
extern U8 ScanOneDirectorySector(U32 sector, char *name);
extern U8 SearchRootDir(void);
extern U16 DOSTime(void);
extern U16 DOSDate(void);

#ifdef USE_FAT32
 extern U8 SearchSubDir(U32 cluster);
 extern U8 ScanSubDir(U32 startcluster, char *name);
#else
 extern U8 SearchSubDir(U16 cluster);
 extern U8 ScanSubDir(U16 startcluster, char *name);
#endif

extern U8 SearchDirSector(U32 sector);
extern void MakeFileName(char *inname, char *outname, char *outext);

#endif //__DIR_H
//@}
