// This is only because i have a enc28j60 on my mmc/sd board.
// Set CS for ENC28J60 high.
//
#include <lpc213x.h>
#include "enc28j60.h"
#include "typedefs.h"

void enc28j60_io_init(void){
	//set up port directions:
	ENC28J60_DDR_CS    |= ENC28J60_BIT_CS;
	ENC28J60_DDR_RESET |= ENC28J60_BIT_RESET;
	
	//deselect enc28j60:
	ENC28J60_CS_HI();
	ENC28J60_RESET_LO();
}

