#ifndef _ENC28J60_H_
#define _ENC28J60_H_

#include "typedefs.h"


#define ENC28J60_DDR_CS		IODIR1
#define ENC28J60_PORT_CS_PIN	IOPIN1
#define ENC28J60_PORT_CS_SET	IOSET1
#define ENC28J60_PORT_CS_CLR	IOCLR1
#define ENC28J60_BIT_CS         24

#define ENC28J60_DDR_RESET	IODIR1
#define ENC28J60_PORT_RESET	IOPIN1
#define ENC28J60_BIT_RESET      22

#define ENC28J60_CS_LO()    (ENC28J60_PORT_CS_CLR = (1<<ENC28J60_BIT_CS)) //CS auf Low
#define ENC28J60_CS_HI()    (ENC28J60_PORT_CS_SET = (1<<ENC28J60_BIT_CS))  //CS auf High

#define ENC28J60_RESET_LO() (ENC28J60_PORT_RESET &= ~(1<<ENC28J60_BIT_RESET))
#define ENC28J60_RESET_HI() (ENC28J60_PORT_RESET |= (1<<ENC28J60_BIT_RESET))

void enc28j60_io_init(void);

#endif

